<!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
<script>
  "use strict"
  $(document).ready(function(){
    //region 1 global variables
    //region 2 vung gan thuc thi element
    //them event handler cho nut click button kiem tra 01
    $('#btn-kiem-tra-1').on('click',onBtnButton01Click); //# id của nút button kiểm tra 01, va function click 
    $("#btn-kiem-tra-02").on('click',onBtnButton02Click);//# id của nút button kiểm tra 02, va function click
    $("#btn-red").on("click",onBtnRedClick);
    $("#btn-yellow").on("click",onBtnYellowClick);

    //region 3 event handler
    function onBtnButton01Click(){
      "use strict"
      var vElementInputVourcher = $("#voucher-01"); //truy xuat vo o input ma giam gia co id là #voucher-01
      var vValueVoucher = vElementInputVourcher.val();//lấy giá trị ô mã giảm giá 01 (dùng phương thức val)
      console.log("ID của voucher 01: " + vElementInputVourcher.attr("id"));//ghi ra console id của ô mã giảm giá 01 
      var vDivMaGiamGia01 = $("#ma-giam-gia-01");//truy xuất thẻ div id ma giam gia 01
      console.log("Id div 01: " + vDivMaGiamGia01.attr("id"));//ghi ra console id của thẻ div 
      vDivMaGiamGia01.html(vValueVoucher);//dùng phương thức .html() để thay đổi giá trị innerHtml của thẻ div
      vDivMaGiamGia01.addClass("text-success");//đổi màu thẻ div thành class text success
    }
    function onBtnButton02Click(){
      "use strict"
      var vElementInputVourcher = $("#voucher-02");
      console.log("Id voucher 02: " + vElementInputVourcher.attr("id"));
      var vDivMaGiamGia02 = $("#ma-giam-gia-02"); 
      var vValueDivMaGiamGia02 = vDivMaGiamGia02.text(); //sử dung .html hoặc text để lấy giá trị thẻ div
      console.log("Id div 02: " + vDivMaGiamGia02.attr("id"));
      vElementInputVourcher.val(vValueDivMaGiamGia02); //dùng .val() để thay đổi giá trị ô text (ô mã giam giá 02)
      vElementInputVourcher.addClass("border border-danger");
    }
    function onBtnRedClick(){
      var vDivContent = $("#content-div");
      vDivContent.prop("style","color:red");
    }
    
    function onBtnYellowClick(){
      var vDivContent = $("#content-div");
      vDivContent.prop("style","color:yellow");
    }
    //region 4 common function
  });
</script>
<div class="container">
  <h4>jQUERY BASIC METHODS</h4>
  <!-- Div voucher 01 -->
  <div id="voucher-form-01" class="jumbotron p-4">
    <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy được value của ô text mã giảm giá và gán giá trị vào thẻ div ma-giam-gia-01 
        và đổi màu thẻ div thành class text-success
    </div>
    <div class="row form-group align-middle">
      <div class="col-sm-6 form-inline">
        <label class="mr-2">Mã giảm giá</label>
        <input id="voucher-01" placeholder="Nhập mã giảm giá.." class="form-control">
      </div>
      <div class="col-sm-6 form-inline">
        <div id="ma-giam-gia-01">ma-giam-gia-01</div>
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-1">Kiểm tra 01</button>
    </div>
  </div>

  <!-- Div voucher 02 -->
  <div id="voucher-form-02" class="jumbotron p-4">
    <div class="row form-group">
      2) Khi ấn nút Kiểm tra 02, lấy giá trị của div ma-giam-gia-02 
      và gán giá trị vào ô text mã giảm giá, đổi border cho ô text thành class border-danger
    </div>
    <div class="row form-group">
      <div class="col-sm-6">
        <div id="ma-giam-gia-02">24864</div>
      </div>
      <div class="col-sm-6 form-inline">
        <label class="mr-2">Mã giảm giá</label>
        <input id="voucher-02" placeholder="Mã giảm giá.." class="form-control">
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-kiem-tra-02">Kiểm tra 02</button>
    </div>
  </div>

  <!-- Div 2 button -->
  <div id="content-form" class="jumbotron p-4">
    <div class="row form-group">
      3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
    </div>
    <div class="row form-group">
      <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
    </div>
    <div class="form-group">
      <button class="btn btn-danger" id="btn-red">Màu đỏ</button>
      <button class="btn btn-warning" id="btn-yellow">Màu vàng</button>
    </div>
  </div>
</div>

</body>
</html>
